#ifndef __FRAMES_H__
#define __FRAMES_H__

#include "constants.h"
#include "decoder.h"
#include "bitstream.h"
#include "mpeg.h"

int  find_frame_sync(CT_Bitstream *bitstream);

int  frame_header(CT_Bitstream *bitstream, CT_MPEGInfo *frame_info);

int  frame_error_check(CT_Bitstream *bitstream, CT_MPEGInfo *frame_info);

void frame_audio_data(CT_Bitstream *bitstream, CT_MPEGInfo *frame_info);

void frame_main_data(CT_Bitstream *bitstream, CT_MPEGInfo *frame_info, CT_Decoder *decoder);

void frame_huffman_codebits(CT_Bitstream *bitstream, CT_MPEGInfo *frame_info, char gr, char ch, unsigned int is[MAX_CH][MAX_SB][MAX_SS]);

#endif
